#
# spec file for package cerbere
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2013 Mihai Petracovici <petracvv@cloverleaf-linux.org>.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           cerbere
Version:        0.2.2
Release:        bp156.3.6
Summary:        A service to relaunch Pantheon apps
License:        GPL-2.0
Group:          System/Daemons
Url:            https://launchpad.net/cerbere
Source:         https://launchpad.net/cerbere/0.x/%{version}/+download/%{name}-%{version}.tar.xz
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  glib2-devel
BuildRequires:  libgee-devel
BuildRequires:  update-desktop-files
BuildRequires:  vala >= 0.28.0
%glib2_gsettings_schema_requires

%description
Cerbere is a sort of a watchdog, designed for Pantheon. It monitors a
predefined list of processes (configurable through dconf) and relaunches
them if they end. This is helpful to keep the panel, dock, and wallpaper
running, even if they crash or are killed by another process.

%prep
%setup -q

%build
%cmake \
    -DGSETTINGS_COMPILE=OFF

make %{?_smp_mflags}

%install
%cmake_install

%suse_update_desktop_file -r %{name} System Utility

%post
%desktop_database_post
%glib2_gsettings_schema_post

%postun
%desktop_database_postun
%glib2_gsettings_schema_postun

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/glib-2.0/schemas/org.pantheon.%{name}.gschema.xml

%changelog
* Tue Jun 13 2017 jengelh@inai.de
- Fix grammar of description.
* Sun Sep 18 2016 avvissu@yandex.by
- Update to 0.2.2
- Spec file cleanup
* Sun Jun 15 2014 mailaender@opensuse.org
- update to 0.2.1
* Fri Sep 13 2013 petracvv@cloverleaf-linux.org
- Added libgee_compile.patch
  * Fixes compile issue with newer libgee due to
  a naming convention change
* Mon Sep  9 2013 petracvv@cloverleaf-linux.org
- Initial packaging (version 0.2.1) for build.opensuse.org
